services:
    Nordmind\SystemFoundationBundle\Http\SerializedResponseFactory:
        class: Nordmind\SystemFoundationBundle\Http\SerializedResponseFactory
        arguments:
            - '@jms_serializer'
            - '%env(bool:SHOW_TRACE)%'

    nordmind_system_foundation.dictionary_validator:
        class: Nordmind\SystemFoundation\Validator\Constraints\DictionaryValidator
        tags:
            - { name: validator.constraint_validator }

    nordmind_system_foundation.twig_extension.version:
        class: Nordmind\SystemFoundation\Application\TwigExtension\VersionExtension
        arguments:
        - '%kernel.project_dir%'
        tags:
        - { name: twig.extension }
